%readhb		Read Harwell-Boeing file
%
%usage : A=readhb(file)
%
%file = matrix file name
%A    = returned sparse matrix
%
%Note : This needs the hb2mlab executable in the same directory
%       as the readhb.m file and will try to create a temporary 
%       file in the /tmp directory.

function A=readhb(file)

tmpfile=['tmp_loadhb_',num2str(floor(rand*10000))];

bindir=strrep(which('readhb'),'readhb.m','');

eval(['!',bindir,'hb2mlab < ',file,' > /tmp/',tmpfile]);
eval(['load /tmp/',tmpfile]);
eval(['A=spconvert(',tmpfile,');']);
delete(['/tmp/',tmpfile]);
